<?php
//user_fetch.php
include('db_con.php');
if (isset($_SESSION['user_id'])) {
    $user_type = $_SESSION['user_type'];
    $user_id = $_SESSION['user_id'];
    $user_name = $_SESSION['user_name'];
    $branch_id = $_SESSION['branch_id'];
    $branch_name = $_SESSION['branch_name'];
    $store_id = $_SESSION['store_id'];
    $store_name = $_SESSION['store_name'];
}else{
  header('Location: login');
  die();
}
			$sql = "SELECT doc_status FROM user_rights WHERE user_id = '".$user_id."' and doc_name = 'purchase_return_edit'";
            $statement = $connect->prepare($sql);
            $statement->execute(); // no need to add `$sql` here, you can take that out
            $purchase_return_edit = $statement->fetchColumn();
              $sql = "SELECT doc_status FROM user_rights WHERE user_id = '".$user_id."' and doc_name = 'purchase_return_print'";
            $statement = $connect->prepare($sql);
            $statement->execute(); // no need to add `$sql` here, you can take that out
            $purchase_return_print = $statement->fetchColumn();
             $sql = "SELECT doc_status FROM user_rights WHERE user_id = '".$user_id."' and doc_name = 'purchase_return_delete'";
            $statement = $connect->prepare($sql);
            $statement->execute(); // no need to add `$sql` here, you can take that out
            $purchase_return_delete = $statement->fetchColumn();
$query = '';
$output = array();
        
$query .= "
select m.pr_id,m.inv_no,m.dated,v.acc_name name,m.description,  FORMAT(sum(d.qty*d.rate - d.qty*d.dis_rate - d.rate * d.dis_pr / 100 * d.qty)   + sum(d.qty*d.rate - d.qty*d.dis_rate - d.rate * d.dis_pr / 100 * d.qty)  * gst_pr / 100 -m.discount + m.freight,2) as amount from  pr m,pr_detail d,accounts v where m.pr_id = d.pr_id and m.v_id=v.acc_no   AND
";
if(isset($_POST["search"]["value"]))
{
	$query .= '(m.description LIKE "%'.$_POST["search"]["value"].'%" ';
	$query .= 'OR acc_name LIKE "%'.$_POST["search"]["value"].'%")';
	
	
}
if(isset($_POST["order"]))
{
	$query .= 'group by pr_id,inv_no,dated,name,m.description ORDER BY '.$_POST['order']['0']['column'].' '.$_POST['order']['0']['dir'].' ';
}
else
{
	$query .= 'group by pr_id,inv_no,dated,name,m.description ORDER BY pr_id DESC ';
}
if($_POST["length"] != -1)
{
	$query .= 'LIMIT ' . $_POST['start'] . ', ' . $_POST['length'];
}
$statement = $connect->prepare($query);
$statement->execute();
$result = $statement->fetchAll();
$data = array();
$filtered_rows = $statement->rowCount();
foreach($result as $row)
{
	
	$sub_array = array();
	$sub_array[] = $row['pr_id'];	
	$sub_array[] = $row['dated'];
	$sub_array[] = $row['inv_no'];
	$sub_array[] = $row['name'];
	$sub_array[] = $row['description'];
	
	$sub_array[] = $row['amount'];
	
	
if($purchase_return_edit=='ON')
{
	$sub_array[] = '<a href="pr_edit?update=1&id='.$row["pr_id"].'"><span class="btn btn-warning"><i class="fa fa-edit"></i></span></a>';
}
if($purchase_return_print=='ON')
{
	$sub_array[] = '<a href="rpt_purchase_return_invoice?print=1&id='.$row["pr_id"].'"><span class="btn btn-success"><i class=" fa fa-print"></i></span></a>';
}
	
if($purchase_return_delete=='ON')
{
		$sub_array[] = '<button type="button" name="delete" id="'.$row["pr_id"].'" class="btn btn-danger delete" ><i class="fa fa-close"></i></button>';
}
			
	
	
		
	
	
	$data[] = $sub_array;
}
$output = array(
	"draw"				=>	intval($_POST["draw"]),
	"recordsTotal"  	=>  $filtered_rows,
	"recordsFiltered" 	=> 	get_total_all_records($connect),
	"data"    			=> 	$data
);
echo json_encode($output);
function get_total_all_records($connect)
{
	$statement = $connect->prepare("SELECT * FROM pr");
	$statement->execute();
	return $statement->rowCount();
}
?>